plib-devel-1.8.5+svn.2173-lp150.1.3.x86_64.rpm


Advertisement

Description

plib-devel - Development files for PLIB, a collection of game libraries

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name plib-devel
Package version 1.8.5+svn.2173
Package release lp150.1.3
Package architecture x86_64
Package type rpm
Installed size 404.79 KB
Download size 86.81 KB
Official Mirror widehat.opensuse.org
Plib contains a selection of libraries that can be helpful for 3D game
programming. It contains the following libraries:
* JS - A Joystick interface.
* PUI - A simple GUI built on top of OpenGL
* SG - Some Standard Geometry functions
* SL - A Games-oriented Sound Library
* SSG - A Simple Scene Graph API built on top of OpenGL

Alternatives

Package Version Architecture Repository
plib-devel-1.8.5+svn.2173-lp150.79.4.x86_64.rpm 1.8.5+svn.2173 x86_64 Games
plib-devel - - -

Requires

Name Value
glibc-devel -
libplib0 = 1.8.5+svn.2173
pkgconfig(gl) -

Provides

Name Value
plib-devel = 1.8.5+svn.2173-lp150.1.3
plib-devel(x86-64) = 1.8.5+svn.2173-lp150.1.3

Download

Type URL
Binary Package plib-devel-1.8.5+svn.2173-lp150.1.3.x86_64.rpm
Source Package plib-1.8.5+svn.2173-lp150.1.3.src.rpm

Install Howto

Install plib-devel rpm package:

# zypper install plib-devel

Files

Path
/usr/include/plib/fnt.h
/usr/include/plib/js.h
/usr/include/plib/net.h
/usr/include/plib/netBuffer.h
/usr/include/plib/netChannel.h
/usr/include/plib/netChat.h
/usr/include/plib/netMessage.h
/usr/include/plib/netMonitor.h
/usr/include/plib/netSocket.h
/usr/include/plib/pcx.h
/usr/include/plib/psl.h
/usr/include/plib/pu.h
/usr/include/plib/puAux.h
/usr/include/plib/puAuxLocal.h
/usr/include/plib/puFLTK.h
/usr/include/plib/puGLUT.h
/usr/include/plib/puNative.h
/usr/include/plib/puPW.h
/usr/include/plib/puSDL.h
/usr/include/plib/pw.h
/usr/include/plib/sg.h
/usr/include/plib/sl.h
/usr/include/plib/slPortability.h
/usr/include/plib/sm.h
/usr/include/plib/ssg.h
/usr/include/plib/ssgAux.h
/usr/include/plib/ssgKeyFlier.h
/usr/include/plib/ssgMSFSPalette.h
/usr/include/plib/ssgaBillboards.h
/usr/include/plib/ssgaFire.h
/usr/include/plib/ssgaLensFlare.h
/usr/include/plib/ssgaParticleSystem.h
/usr/include/plib/ssgaScreenDump.h
/usr/include/plib/ssgaShapes.h
/usr/include/plib/ssgaSky.h
/usr/include/plib/ssgaSphere.h
/usr/include/plib/ssgaWaveSystem.h
/usr/include/plib/ssgconf.h
/usr/include/plib/ul.h
/usr/include/plib/ulRTTI.h
/usr/lib64/libplibfnt.so
/usr/lib64/libplibjs.so
/usr/lib64/libplibnet.so
/usr/lib64/libplibpsl.so
/usr/lib64/libplibpu.so
/usr/lib64/libplibpuaux.so
/usr/lib64/libplibpw.so
/usr/lib64/libplibsg.so
/usr/lib64/libplibsl.so
/usr/lib64/libplibsm.so
/usr/lib64/libplibssg.so
/usr/lib64/libplibssgaux.so
/usr/lib64/libplibul.so
/usr/share/doc/packages/plib-devel/NOTICE
/usr/share/doc/packages/plib-devel/README
/usr/share/doc/packages/plib-devel/README.GLUT

Changelog

2017-11-29 - crrodriguez@opensuse.org
- Require just pkgconfig(gl) for build and -devel package.
2016-11-14 - jengelh@inai.de
- Replace questionable Mesa binary require for devel package
2016-09-01 - rpm@fthiessen.de
- Update to current svn version 1.8.5+svn.2173
* Removed upstream fixed patches:
plib-1.8.5-commit2136-segfault.patch,
plib-1.8.5-commit2139-slider.patch,
plib-1.8.5-commit2140-slider.patch and
plib-1.8.5-commit2154-segfault.patch
* Removed plib-1.8.5-intptr_t.patch
- Reported patches upstream (even if upstream is orphaned)
2016-07-30 - jengelh@inai.de
- Implement shared library packaging guideline
2013-04-23 - joop.boonen@opensuse.org
- Added missing BuildRequires for openSUSE > 12.3
2012-11-04 - reddwarf@opensuse.org
- Add plib-1.8.5-CVE-2011-4620.patch (bnc#738207) and
plib-1.8.5-CVE-2012-4552.patch (bnc#787305)
2012-02-13 - coolo@suse.com
- patch license to follow spdx.org standard
2011-12-30 - brehmt@gmail.com
- Applied patches from plib SVN
* Fixed segfault in puInput when pasting empty buffer
* Fixed heap corruption when removing puInputBase objects
* Fixed various puSlider issues
2011-11-27 - jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
2011-11-27 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency

See Also

Package Description
plistutil-2.0.0-lp150.1.10.x86_64.rpm Library for handling Apple Binary and XML Property Lists
plotutils-2.6-lp150.2.1.x86_64.rpm GNU Plotting Utilities
plotutils-devel-2.6-lp150.2.1.x86_64.rpm GNU Plotting Utilities
plowshare-2.1.7-lp150.1.23.noarch.rpm Download and upload files from file-sharing websites
plplot-common-5.13.0-lp150.4.1.x86_64.rpm Files for development with PLplot
plplot-devel-5.13.0-lp150.4.1.x86_64.rpm Files for development with PLplot
plplot-doc-5.13.0-lp150.4.1.x86_64.rpm Documentation for PLplot and its bindings
plplot-driver-cairo-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the cairo backend
plplot-driver-ntk-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the ntk backend
plplot-driver-ps-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the ps backend
plplot-driver-psttf-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the psttf backend
plplot-driver-svg-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the SVG backend
plplot-driver-xfig-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the xfig backend
plplot-driver-xwin-5.13.0-lp150.4.1.x86_64.rpm PLplot driver using the xwin backend
plplot-java-5.13.0-lp150.4.1.x86_64.rpm PLplot functions for scientific plotting with Java
Advertisement
Advertisement